Page MenuHomePhabricator

[Task] investigate emails about Wikidata changes from Wikipedia
Closed, ResolvedPublic

Description

Someone reported that they got an email from English Wikipedia with a link to an empty diff. After some investigation it turned out that the email was triggered by a change on Wikidata. We should investigate why that email was sent and if we can suppress it or make it show a meaningful diff.

The diff link from the email: https://en.wikipedia.org/w/index.php?title=Pseudomonas&diff=next&oldid=792131833

The edit summary given in the email: /* wbsetaliases-set:2|cs */ pseudomonáda, pseudomonády This is a minor edit

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2017, 2:16 PM

Hi. I started to get such letters from ruwiki only three days ago, about one letter every hour, and I have about ten watched pages in this wiki. So, something was a trigger, and only for this wiki - I do not get anything from other wikis where I have watched pages, including the same pages in another language.

Hi, What is common about those receiving those mails? The mails are sent from other wikis due to wikidata changes but the mails are not sent to all wikimedians (users).

IKhitron added a comment.EditedSep 27 2017, 1:02 PM

Hi, What is common about those receiving those mails? The mails are sent from other wikis due to wikidata changes but the mails are not sent to all wikimedians (users).

Maybe we should just put here the list of our email preferences. Those that will be turned on for all affected people will give the answer. I can bring two lists, from enwiki and ruwiki.

I believe that would be helpful.

I believe that would be helpful.

enwiki:
Talk page message V, Thanks X, Translations V, Mention V, Failed mention -, Successful mention -, Page link V, Connection with Wikidata X, Failed login attempts V, Login from an unfamiliar device V, Page review V, User rights change V, Edit revert V, Email from other user -, Education Program V

ruwiki:
Talk page message V, Thanks V, Structured Discussion V, Translations V, Mention V, Failed mention -, Successful mention -, Page link V, Connection with Wikidata X, Failed login attempts X, Login from an unfamiliar device X, User rights change V, Edit revert V, Email from other user -, Education Program V

common turned on parts:
Talk page message, Translations, Mention, Page link, User rights change, Edit revert, Education Program

I think Notifications (Echo) preferences are not relevant here. What about "Email me when a page or a file on my watchlist is changed" and "Email me also for minor edits of pages and files"?

IKhitron added a comment.EditedSep 28 2017, 2:35 PM

I think Notifications (Echo) preferences are not relevant here. What about "Email me when a page or a file on my watchlist is changed" and "Email me also for minor edits of pages and files"?

Of course, both.

aude added a comment.Oct 2 2017, 12:55 PM

we can disable the notifications for wikibase changes sent to the clients

Change 383044 had a related patch set uploaded (by Aude; owner: Aude):
[mediawiki/extensions/Wikibase@master] Disable email notifications for wikibase changes in client wikis

https://gerrit.wikimedia.org/r/383044

thiemowmde triaged this task as High priority.Oct 9 2017, 6:30 AM
thiemowmde moved this task from Doing to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde added a subscriber: aude.

Change 383044 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Disable email notifications for wikibase changes in client wikis

https://gerrit.wikimedia.org/r/383044

Ladsgroup closed this task as Resolved.Oct 9 2017, 1:29 PM
Ladsgroup moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.
Ladsgroup removed a project: Patch-For-Review.